Loading...
Searching...
No Matches
DeviceAPI.h File Reference

Defines DeviceAPI. More...

`#include <string>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.

## Enumerations

enum class | Halide::DeviceAPI { Halide::None , Halide::Host , Halide::Default_GPU , Halide::CUDA , Halide::OpenCL , Halide::Metal , Halide::Hexagon , Halide::HexagonDma , Halide::D3D12Compute , Halide::Vulkan , Halide::WebGPU }
| An enum describing a type of device API. More...

## Variables

const DeviceAPI | Halide::all_device_apis []
| An array containing all the device apis.

## Detailed Description

Defines DeviceAPI.

Definition in file DeviceAPI.h.